it-swarm.com.de

NVidia CUDA Toolkit 7.5.27 kann unter OS X nicht installiert werden

Das Herunterladen des CUDA-Toolkits DMG funktioniert, das Installationsprogramm schlägt jedoch mit dem kryptischen Fehler "Paketmanifest-Parsing-Fehler" nach Auswahl der Pakete fehl.

Das Ausführen des Installationsprogramms über die Befehlszeile unter Verwendung der Binärdatei schlägt auf ähnliche Weise fehl. Die Protokolldatei unter /var/log/cuda_installer.log sagt im Grunde das Gleiche:

Apr 28 18:16:10  CUDAMacOSXInstaller[58493] : Awoken from nib!
Apr 28 18:16:10  CUDAMacOSXInstaller[58493] : Switched to local mode.
Apr 28 18:16:24  CUDAMacOSXInstaller[58493] : Package manifest parsing error!
Apr 28 18:16:24  CUDAMacOSXInstaller[58493] : Package manifest parsing error!
Apr 28 18:16:24  CUDAMacOSXInstaller[58493] : Package manifest parsing error!

Ich habe eine frühere Version von cuda 7.5 installiert, die (vor einiger Zeit) durch denselben Prozess ohne Fehler durchgeführt wurde.

(OS X 10.11, GeForce GT750M)

19
rdadolf

Der Ausdruck "Paketmanifest-Parsing-Fehler" hat bei Google zuvor zu keinem Treffer geführt. Hoffentlich hilft diese Antwort anderen.

Ich habe mit einem NVidia-Entwickler darüber gesprochen, und anscheinend gibt es ein bekanntes Problem für Version 7.5.27 unter OS X. Wenn mehr als eine CUDA installiert ist, führt DMG dazu, dass jeder Installer dieses Problem hat.

Das Entfernen aller DMGs bis auf ein DMG löst dieses Problem. Es wird wahrscheinlich in einer zukünftigen Version des CUDA-Toolkits behoben.

27
rdadolf

Ich bin im selben Boot. Diese Schritte lösten das Problem.

  1. Hängen Sie alle DMG aus
  2. Hängen Sie nur ein DMG "Local Installer" ein
  3. Starten Sie das Installationsprogramm und führen Sie den Vorgang aus

Network Installer funktionierte in meiner Umgebung nicht.

14
vivitter

Ich musste die zuvor installierte CUDA-Version deinstallieren, indem ich /Developer/NVIDIA/CUDA7.5/bin/uninstall***.pl ausführte, bevor ich die neue Version installierte.

1
Shawn Walton